multimedia/libnms - The NetBSD Packages Collection

Open Media Streaming Client Library

libnms lets you add multimedia streaming playback in your applications in a
quick and straightforward way. This software, derived from the experience
matured with NeMeSi is fully compliant with IETF's standards for real-time
streaming of multimedia contents over Internet. libnms implements RTSP -
Real-Time Streaming Protocol (RFC2326) and RTP/RTCP - Real-Time Transport
Protocol/RTP Control Protocol (RFC3550) supporting the RTP Profile for Audio
and Video Conferences with Minimal Control (RFC3551).

Currently libnms is relatively stable API wise and the most enlighting
documentation are the example code and the partially doxygenized headers.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibnms-0.6.0.tgz
NetBSD 8.0earmv7hflibnms-0.6.0.tgz
NetBSD 8.0earmv7hflibnms-0.6.0.tgz
NetBSD 8.0earmv7hflibnms-0.6.0.tgz
NetBSD 8.0i386libnms-0.6.0.tgz
NetBSD 8.0i386libnms-0.6.0.tgz
NetBSD 8.0i386libnms-0.6.0.tgz
NetBSD 8.0i386libnms-0.6.0.tgz
NetBSD 8.0powerpclibnms-0.6.0.tgz
NetBSD 8.0powerpclibnms-0.6.0.tgz
NetBSD 8.0powerpclibnms-0.6.0.tgz
NetBSD 8.0powerpclibnms-0.6.0.tgz
NetBSD 8.0powerpclibnms-0.6.0.tgz
NetBSD 8.0x86_64libnms-0.6.0.tgz
NetBSD 8.0x86_64libnms-0.6.0.tgz
NetBSD 8.0x86_64libnms-0.6.0.tgz
NetBSD 8.0x86_64libnms-0.6.0.tgz
NetBSD 9.0aarch64libnms-0.6.0.tgz
NetBSD 9.0aarch64libnms-0.6.0.tgz
NetBSD 9.0aarch64libnms-0.6.0.tgz
NetBSD 9.0aarch64libnms-0.6.0.tgz
NetBSD 9.0alphalibnms-0.6.0.tgz
NetBSD 9.0alphalibnms-0.6.0.tgz
NetBSD 9.0earmlibnms-0.6.0.tgz
NetBSD 9.0earmlibnms-0.6.0.tgz
NetBSD 9.0earmv6hflibnms-0.6.0.tgz
NetBSD 9.0earmv6hflibnms-0.6.0.tgz
NetBSD 9.0earmv6hflibnms-0.6.0.tgz
NetBSD 9.0earmv6hflibnms-0.6.0.tgz
NetBSD 9.0earmv6hflibnms-0.6.0.tgz
NetBSD 9.0earmv7hflibnms-0.6.0.tgz
NetBSD 9.0earmv7hflibnms-0.6.0.tgz
NetBSD 9.0earmv7hflibnms-0.6.0.tgz
NetBSD 9.0earmv7hflibnms-0.6.0.tgz
NetBSD 9.0earmv7hflibnms-0.6.0.tgz
NetBSD 9.0earmv7hflibnms-0.6.0.tgz
NetBSD 9.0earmv7hflibnms-0.6.0.tgz
NetBSD 9.0i386libnms-0.6.0.tgz
NetBSD 9.0i386libnms-0.6.0.tgz
NetBSD 9.0i386libnms-0.6.0.tgz
NetBSD 9.0i386libnms-0.6.0.tgz
NetBSD 9.0mips64eblibnms-0.6.0.tgz
NetBSD 9.0mips64eblibnms-0.6.0.tgz
NetBSD 9.0mips64eblibnms-0.6.0.tgz
NetBSD 9.0mips64eblibnms-0.6.0.tgz
NetBSD 9.0powerpclibnms-0.6.0.tgz
NetBSD 9.0powerpclibnms-0.6.0.tgz
NetBSD 9.0powerpclibnms-0.6.0.tgz
NetBSD 9.0powerpclibnms-0.6.0.tgz
NetBSD 9.0powerpclibnms-0.6.0.tgz
NetBSD 9.0sparc64libnms-0.6.0.tgz
NetBSD 9.0sparc64libnms-0.6.0.tgz
NetBSD 9.0sparclibnms-0.6.0.tgz
NetBSD 9.0sparclibnms-0.6.0.tgz
NetBSD 9.0sparclibnms-0.6.0.tgz
NetBSD 9.0x86_64libnms-0.6.0.tgz
NetBSD 9.0x86_64libnms-0.6.0.tgz
NetBSD 9.0x86_64libnms-0.6.0.tgz
NetBSD 9.0x86_64libnms-0.6.0.tgz
NetBSD 9.0x86_64libnms-0.6.0.tgz
NetBSD 9.0x86_64libnms-0.6.0.tgz
NetBSD 9.0x86_64libnms-0.6.0.tgz
NetBSD 9.0x86_64libnms-0.6.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.